# Object_KeyC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/ORB.h"`
`#include "tao/Environment.h"`
`#include "tao/Sequence_T.h"`
`#include "tao/Seq_Var_T.h"`
`#include "tao/Seq_Out_T.h"`

Include dependency graph for Object_KeyC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO

## Classes

class | TAO::ObjectKey

## Defines

#define | TAO_EXPORT_MACRO TAO_Export
#define | _TAO_OBJECTKEY_CH_

## Typedefs

typedef TAO_FixedSeq_Var_T< ObjectKey, CORBA::Octet > | ObjectKey_var
typedef TAO_Seq_Out_T< ObjectKey, ObjectKey_var, CORBA::Octet > | ObjectKey_out

## Functions

TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TAO::ObjectKey &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO::ObjectKey &)

## Define Documentation

#define _TAO_OBJECTKEY_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Typedef Documentation

typedef TAO_Seq_Out_T< ObjectKey, ObjectKey_var, CORBA::Octet > TAO::ObjectKey_out

typedef TAO_FixedSeq_Var_T< ObjectKey, CORBA::Octet > TAO::ObjectKey_var

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const TAO::ObjectKey & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TAO::ObjectKey & |
| ) |